package com.qmth.qrzk.dao.repositories;

import java.util.List;

import org.springframework.data.jpa.repository.JpaRepository;

import com.qmth.qrzk.batch.model.BatchPaperPK;
import com.qmth.qrzk.batch.model.PaperStateView;

public interface PaperStateViewRepo extends JpaRepository<PaperStateView, BatchPaperPK>{

	void deleteByBatchId(Integer batchId);
	
	List<PaperStateView> findByBatchId(Integer batchId);
	
	List<PaperStateView> findByBatchIdAndIsStorageScanned(Integer batchId, boolean isStorageScanned);
	
	List<PaperStateView> findByBatchIdAndPaperId(Integer batchId, Long paperId);
	
	List<PaperStateView> findByPaperId(Long paperId);
}
